export const _default = async function (fields, params = Object) {
  await func.utils.load_js_on_demand(
    func.common.get_url(
      params.SESSION_ID,
      "dist",
      "runtime/node_modules/@xuda.io/firebase-app/index.js"
    )
  );

  if (!params?.plugin_setup?.[params.propsP.setup_account_id]) {
    return params.report_error("setup account error");
  }

  const _config = params.plugin_setup[params.propsP.setup_account_id];

  var firebaseConfig = {
    apiKey: _config.apiKey,
    authDomain: _config.authDomain,
    databaseURL: _config.databaseURL,
    projectId: _config.projectId,
    storageBucket: _config.storageBucket,
    messagingSenderId: _config.messagingSenderId,
    appId: _config.appId,
    measurementId: _config.measurementId,
  };
  try {
    firebase.initializeApp(firebaseConfig);
  } catch (error) {
    params.report_error(error);
  }
};
